Package org.springframework.security.core.userdetails

# Interface ReactiveUserDetailsPasswordService

All Known Implementing Classes:
  `MapReactiveUserDetailsService`

public interface ReactiveUserDetailsPasswordService
An API for changing a `UserDetails` password.

Since:
  5.1

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<UserDetails>`
`updatePassword(UserDetails user, String newPassword)`
Modify the specified user's password.

## Method Details

### updatePassword

reactor.core.publisher.Mono<UserDetails> updatePassword(UserDetails user, String newPassword)
Modify the specified user's password. This should change the user's password in the persistent user repository (database, LDAP etc).

Parameters:
  `user` - the user to modify the password for
  `newPassword` - the password to change to
Returns:
  the updated UserDetails with the new password